%define Werror_cflags %nil

%define name	fbida
%define version 2.07
%define release %mkrel 1

Summary:	Collection of applications for viewing and editing images
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://linux.bytesex.org/fbida/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.bz2
Patch1:		fbida-2.03-fbgs-arbitrary-resolution.patch
Obsoletes:	fbi
Provides:	fbi
BuildRequires:	curl-devel
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	libpcd-devel
BuildRequires:	lirc-devel
BuildRequires:	png-devel
BuildRequires:	sane-devel
BuildRequires:	tiff-devel
BuildRequires:	ungif-devel
BuildRequires:	lesstif-devel
BuildRequires:	xpm-devel
BuildRequires: 	fontconfig-devel
# fwang: the app needs /etc/X11/app-defaults
BuildRequires:	xsysinfo
# fbi uses convert to show indirectly supported image format
Requires:	imagemagick
# fbgs requires gs
Requires:	ghostscript

%description
The fbida project contains a few applications for viewing and editing
images, with the main focus being photos. The applications are:

fbi      - Image viewer for Linux framebuffer console
fbgs     - Wrapper script using fbi, for viewing ps/pdf files on framebuffer
ida      - X11 application (Motif based) for viewing images with
           basic editing functions
exiftran - command line tool to do lossless transformations of JPEG
           images, similar to jpegtran but includes EXIF data
thumbnail.cgi - CGI script to extract EXIF thumbnails from jpeg images
                and send them to web browser

This project used to be 2 seperate projects (fbi and ida), but later
merged by author.

%prep
%setup -q
%patch1 -p1 -b .resolution

%build
# Must use CFLAGS as env variable, because makefile adds flags to it.
# Directly specifying CFLAGS as make variable would fail
export CFLAGS="%optflags"
%make verbose=yes

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=IDA Image Viewer
Comment=Basic image viewer and editor
Exec=%{_bindir}/ida
Icon=graphics_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Motif;Graphics;2DGraphics;RasterGraphics;Viewer;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes COPYING README
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man1/*


%changelog
* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 2.07-1mdv2009.1
+ Revision: 341622
- Fix Requiers

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 18 2007 Adam Williamson <awilliamson@mandriva.com> 2.06-2mdv2008.0
+ Revision: 53338
- rebuild with new lesstif
- add menu entry for ida

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 2.06-1mdv2008.0
+ Revision: 31494
- BuildRequires fontconfig
- BuildRequires /etc/x11/app-defaults
- BuildRequires X11-devel
- Patch0 not needed
- New version 2.06
- bunzip2 the patches
- Import fbida



* Fri Jan 28 2005 Abel Cheung <deaddog@mandrake.org> 2.03-1mdk
- New version, obsoletes fbi
- Redo P0 (partially fixed upstream), only change it to use mktemp
- P1: Add -r switch for fbgs to support any user specified resolution

* Wed Nov 17 2004 Abel Cheung <deaddog@mandrake.org> 1.31-4mdk
- Add missing BuildRequires
- Patch0: Fix fbgs and make it use mktemp

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-3mdk
- Rebuild 

* Wed May 19 2004 Michael Scherer <misc@mandrake.org> 1.31-2mdk 
- update Url, thanks to Eskild Hustvedt

* Tue May 18 2004 Michael Scherer <misc@mandrake.org> 1.31-1mdk
- New release 1.31
- rpmbuildupdate aware

* Wed Dec 03 2003 Abel Cheung <deaddog@deaddog.org> 1.28-2mdk
- Rebuild against libpcd for PhotoCD support
- Remove bogus post/preun scriptlets (sorry)

* Mon Dec 01 2003 Abel Cheung <deaddog@deaddog.org> 1.28-1mdk
- First Mandrake package, based on spec from source
